Summary
Gets all known automations
Description
Gets all known automations returned in alphabetical order
Route
GET /automation_catalog/automations
Roles
admin
other
readonly
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| queryParameters |
object |
yes |
Options for query parameters |
Copied to Clipboard
{
"type": "object",
"properties": {
"queryParameters": {
"title": "queryParameters",
"type": "object"
}
},
"required": [
"queryParameters"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
array |
List of all automation documents |
Copied to Clipboard
{
"list": [
{
"_id": "da319d54dd62830e8a8a1787",
"name": "test",
"data": {
"gbac": {
"write": [
"b03debe17b9f04545fcc6051",
"fb7ac745a6cfa889df21b04e",
"d83632dd1fc1ab6d01261679",
"fdc92e7a58ad25042bab10f3"
],
"read": [
"c2e348696fa930857ebb4a01"
]
},
"lastUpdated": "2019-11-25T22:51:39.201Z",
"description": "in",
"workflowId": "8e3695fe-c5bf-4286-ae83-186b3fea1c1a",
"formId": "b4f405775de87c7a81eb3f8d"
},
"lastModifiedBy": "est",
"lastRunAt": "2019-11-25T22:51:39.201Z",
"nextRunAt": "2019-11-25T22:51:39.201Z",
"repeatInterval": "3 weeks",
"migratedToOM": false,
"correspondingOMAutomationId": "cc39445af55cd5ef31aa5a90"
}
],
"total": -13853360,
"skip": 44773265,
"limit": 90996508
}
Copied to Clipboard
{
"title": "result",
"type": "object",
"properties": {
"list": {
"type": "array",
"items": {
"$ref": "automationDocument"
}
},
"total": {
"type": "integer"
},
"skip": {
"type": "integer"
},
"limit": {
"type": "integer"
}
}
}